<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

require APPPATH . '/third_party/PHPMailer/Exception.php';
require APPPATH . '/third_party/PHPMailer/PHPMailer.php';
require APPPATH . '/third_party/PHPMailer/SMTP.php';


function pdf_acuse($post)
{
    $CI = &get_instance();
    $CI->load->database();
    $idformato = $post['idformato'];

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();


    //View tipos sector 6. Datos de la pareja
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_sector.nombre as nombre');
    $CI->db->from('6_datos_pareja');
    $CI->db->join('tipos_sector', '6_datos_pareja.sector=tipos_sector.idtipo_sector');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_tipos6_I = $query->row();




  $where = array('idformato' => $idformato);
  $CI->db->select('formatos.idusuario as idusuario,formatos.fecha_confirmacion as fecha_confirmacion, view_empleados.nivel as nivel');
  $CI->db->from('formatos');
  $CI->db->join('view_empleados', 'formatos.idusuario=view_empleados.idusuario');
  $CI->db->where($where);;
  $query = $CI->db->get();
  $view_nivel = $query->row();


    $pdf = new Fpdi('L', 'mm', 'letter');
    $pdf->setSourceFile('plantillas/Acuse2.pdf');

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(010, 010, 010);
    $pdf->SetXY(30, 30);
    $pdf->SetFontSize(8);
    $pdf->AddPage();
    
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0,null,null,true);

    //         //Documento PDF
    ////////////////////////////////////////1. DATOS GENERALES////////////////////////////////////////////////////////////////
    $pdf->SetTitle('Documento PDF');
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->SetX(13);
    $pdf->SetFillColor(135, 214, 161);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->SetY(73);
    $pdf->SetX(120);

    $logo = SERVIDOR . APP . 'application/images/check3.png';

    //Inicial
    if($codigo->tipo_formato==1){
    $pdf->Image($logo, 139.6, 38.8, 3.2, 3.2);
    }

    //Modificacion
    if ($codigo->tipo_formato == 2) {
    $pdf->Image($logo, 183, 38.8, 3.2, 3.2);
    }
    //Conclusion
    if ($codigo->tipo_formato == 3) {
    $pdf->Image($logo, 222.4, 38.8, 3.2, 3.2);
    }
if ($view_nivel != null) {
if($view_nivel->nivel==6){
    $pdf->Image($logo, 23.5, 79, 4, 4);
}else{
  $pdf->Image($logo, 23.5, 79, 4, 4);
  $pdf->Image($logo, 23.5, 85, 4, 4);
   $pdf->Image($logo, 23.5, 91, 4, 4);
}
}
  $pdf->SetFont('Arial', '', 8);
  $pdf->SetY(165);
  $pdf->SetX(196);
  if ($view_nivel != null) {

     if($view_nivel->fecha_confirmacion== '0000-00-00 00:00:00'){
      $pdf->Cell(50, 4, 'Fecha: ' . '02/05/2022 - 12:00 pm.');
     }else{
       $pdf->Cell(50, 4, 'Fecha: ' . date('d/m/Y - h:i a.',strtotime($view_nivel->fecha_confirmacion)),0,0,'L');
     }
    
  }

    $pdf->SetY(73);
    $pdf->SetX(122);
    $pdf->SetFont('Arial', '', 10);
  //  $pdf->Text(16, 63.5, utf8_decode($codigo->nombre . '  ' . $codigo->primer_apellido . '  ' . $codigo->segundo_apellido));
    $pdf->Cell(60, 4, utf8_decode($codigo->nombre . '  ' . $codigo->primer_apellido . '  ' . $codigo->segundo_apellido));
    $pdf->Ln(14);
    $pdf->SetX(135);
    $pdf->Cell(60, 4, utf8_decode($codigo->rfc));
    $pdf->Ln(7.5);
    $pdf->SetX(135);
    $pdf->Cell(70, 4, utf8_decode($codigo->curp));
    $pdf->Ln(1);
    $pdf->SetX(13);
  

  // if ($view_nivel != null) {
  // $pdf->Cell(70, 4, utf8_decode('IDUSUARIO----'. $view_nivel->idusuario));
  // $pdf->Cell(70, 4, utf8_decode('NIVEL----' . $view_nivel->nivel));
  // }



    return $pdf->Output("ejemplo.pdf", 'I', false);




 //$mail = new PHPMailer\PHPMailer\PHPMailer(true);
 //try {
 //$mail->isSMTP(); // Set mailer to use SMTP
 //$mail->Host = 'nld.gob.mx'; // Specify main and backup SMTP servers
 //$mail->SMTPAuth = true; // Enable SMTP authentication
 //$mail->Username = 'casasdelacultura@nld.gob.mx';
 //$mail->Password = 'NwBKZ-Y1noj$yzgv'; // SMTP password
 //$mail->SMTPSecure = 'ssl'; // Enable TLS encryption, `ssl` also accepted
 //$mail->Port = 465;
 //$mail->setFrom('declaracionpatrimonial@nld.gob.mx', utf8_decode('Sistema de Declaración Patrimonial '));
 //$mail->IsHTML(true);
 //$mail->AddAddress('gilma.barrientos@nld.gob.mx'); //Puede ser Hotmail
 //$mail->Subject = 'Documento';
 //$doc = $pdf->Output('doc.pdf', 'S');
 //$mail->AddStringAttachment($doc, 'doc.pdf', 'base64', 'application/pdf');
 //$mail->Body = utf8_decode('<h2 align="center"> SISTEMA DE DECLARACIÓN PATRIMONIAL </h2> <br> <h3 //align="center" style="color: gray;"> ACUSE PDF  </h3> <br>');
 //$mail->Send();
 //} catch (Exception $e) {
 //  echo 'Message could not be sent. Mailer Error: ', $mail->ErrorInfo;
 //}
}
